=== sflphone-common/libs/pjproject/pjsip-apps/src/python/Makefile ===
all:
	python setup.py install

clean:
	python setup.py clean
	rm -rf ./build

%:
	python setup.py $@
