## sflphone 0.9.8.4

=== debian/changelog ===
sflphone (0.9.8.4-1) unstable; urgency=medium

  * New upstream release
    - fix FTBFS on powerpc, mips, hppa, s390
    - fix FTBFS on sh4 architecture (closes: #586633)

 -- Francois Marier <francois@debian.org>  Tue, 22 Jun 2010 12:27:46 +1200

sflphone (0.9.8.3-1) unstable; urgency=low

  * Initial release (Closes: #494928)

 -- Francois Marier <francois@debian.org>  Thu, 03 Jun 2010 15:59:46 +1200
