## sflphone 0.9.11

=== debian/changelog ===
sflphone (0.9.11-1ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Dec 2010 23:09:13 +0100

sflphone (0.9.11-1) unstable; urgency=low

  * New upstream release
  * Add new build dependencies on libwebkit-dev and libyaml-dev

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8
  * Patch another typo in the upstream code (lintian notice)

 -- Francois Marier <francois@debian.org>  Fri, 24 Dec 2010 16:33:55 +1300
