=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: extra
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libgtk2.0-dev, libsexy-dev, libdbus-1-dev, libdbus-glib-1-dev, libnotify-dev, libasound2-dev, libspeexdsp-dev, libebook1.2-dev, uuid-dev, liblog4c-dev, libcelt-dev (>= 0.5), chrpath, libresample1-dev, libzrtpcpp-dev, check, libsrtp0-dev, libssl-dev, libpcre3-dev, gnome-doc-utils, libglib2.0-dev, libgnomeui-dev, rarian-compat
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), autotools-dev, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libgtk2.0-dev, libsexy-dev, libdbus-1-dev, libdbus-glib-1-dev, libnotify-dev, libasound2-dev, libspeexdsp-dev, libebook1.2-dev, uuid-dev, liblog4c-dev, libcelt-dev (>= 0.5), chrpath, libresample1-dev, libzrtpcpp-dev, check, libsrtp0-dev, libssl-dev, libpcre3-dev, gnome-doc-utils, libglib2.0-dev, libgnomeui-dev, rarian-compat, libwebkit-dev, libyaml-dev
+Standards-Version: 3.9.1
 Homepage: http://www.sflphone.org
 Vcs-Git: git://git.debian.org/git/collab-maint/sflphone.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sflphone.git;a=summary
