## sflphone 0.9.12

=== debian/changelog ===
sflphone (0.9.12-1) unstable; urgency=low

  * New upstream release:
    - refactoring of the RTP session allowing dynamic update of audio codecs
    - updated synchronization between transport layer and audio layer
    - better implementation of SIP Early media playback
    - fixed memory leaks in configuration serialization engine
    - Evolution addressbook: default addressbook & authentication support
    - improved Gnome client initialization error handling
    - updated dbus-c++ binding

  * Remove all Debian patches since they were applied upstream
  * New build-dependencies on libedataserverui1.2-dev and astyle

 -- Francois Marier <francois@debian.org>  Sun, 16 Jan 2011 17:48:24 +1300

sflphone (0.9.11-2) unstable; urgency=low

  * Fix FTBFS with gold/ld --no-add-needed, patch from Ubuntu
    (closes: #608713)
  * debian/rules: verbose make (V=1) to show how compiler/linker is called

 -- Francois Marier <francois@debian.org>  Tue, 04 Jan 2011 18:00:17 +1300
