=== debian/watch ===
version=3
https://projects.savoirfairelinux.com/projects/list_files/sflphone /attachments/download/[0-9]+/sflphone-([0-9.]+)\.tar\.gz
